{% extends "base.twig" %}

{% block content %}
  <h1>Nos émissions</h1>

  <div id="tab">
    <ul class="tabs">
      <li v-bind:class="[ activetab === 1 ? 'active' : '' ]">
        <a v-on:click="activetab=1" >Grille horaire</a>
      </li>
      <li v-bind:class="[ activetab === 2 ? 'active': '' ]">
        <a v-on:click="activetab=2">Liste</a>
      </li>
    </ul>

    <div class="grid" v-if="activetab === 1">
      <div class="emission-jours col-2_md-12 mt-4">
        {% for jour in liste_jours %}
        <a href="#liste-emissions-{{ jour | lower }}">{{ jour }}</a>
        {% endfor %}
        
      </div>

      <div class="mt-4 col-10_md-12 flex flex-col items-center">
      {% cache 'emission_horaire/content' emissions_horaire %}

        {% for jour in liste_jours %}
        <div id="liste-emissions-{{ jour | lower }}">
          {% for emission in emissions_horaire %}
            {% if emission.jour == jour %}
              <div class="max-w-sm rounded overflow-hidden shadow-lg mb-6">
                {% if emission.thumbnail.src %}
                  <img class="w-full" src="{{ emission.thumbnail.src }}" />
                {% endif %}
                <div class="px-6 py-4">
                  <h2 class="font-bold text-xl mb-2"><a href="{{ emission.link }}">{{ emission.title }}</a></h2>
                  {% if emission.sous_titre %}
                  <h3 class="font-bold text-lg">{{ emission.sous_titre }}</h3>
                  {% endif %}
                  <p class="text-gray-700 text-base">
                    {{ emission.preview.length(25).read_more('Lire la suite') }}
                  </p>
                </div>
                <div class="px-6 py-4">
                  <span class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2">{{ emission.jour }}</span>
                  <span class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700">De {{ emission.heure_de_debut  | date('G:i') }} à {{ emission.heure_de_fin  | date('G:i') }}</span>
                </div>
              </div>
            {% endif %}
          {% endfor %}
        </div>
        {% endfor %}

      {% endcache %}
      </div>
    </div>

    <div class="template-grid mt-4" v-if="activetab === 2">
    {% cache 'emission_liste/content' emissions_liste %}

      {% for emission in emissions_liste %}
        <div class="max-w-sm rounded overflow-hidden shadow-lg">
          {% if emission.thumbnail.src %}
            <img class="w-full" src="{{ emission.thumbnail.src }}" />
          {% endif %}
          <div class="px-6 py-4">
            <h2 class="font-bold text-xl mb-2"><a href="{{ emission.link }}">{{ emission.title }}</a></h2>
            {% if emission.sous_titre %}
            <h3 class="font-bold text-lg">{{ emission.sous_titre }}</h3>
            {% endif %}
            <p class="text-gray-700 text-base">
              {{ emission.preview.length(25).read_more('Lire la suite') }}
            </p>
          </div>
          <div class="px-6 py-4">
            <span class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2">{{ emission.jour }}</span>
            <span class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700">De {{ emission.heure_de_debut | date('G:i') }} à {{ emission.heure_de_fin  | date('G:i') }}</span>
          </div>
        </div>
      {% endfor %}

    {% endcache %}
    </div>
  </div>

{% endblock %}